Bug 1860032 - Running Red Hat images and crashlooping OpenShift pods should be gathered
Summary: Running Red Hat images and crashlooping OpenShift pods should be gathered
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.6.0
Assignee: Martin Kunc
QA Contact: Angelina Vasileva
Marc Muehlfeld
URL:
Whiteboard:
: 1796315 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-23 15:14 UTC by Ivo Meixner
Modified: 2021-01-07 10:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Collection of a set of running containre images in the archive gathered by the Insights Operator. Data about crashlooping pods will also be gathered. These two enhancements are vaguely related, so they are added together. Reason: Requested by the Product Security team. Result: Addition of the new collection mentioned above.
Clone Of:
: 1913645 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:16:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 133 0 None closed Bug 1860032: Running Red Hat images and crashlooping OpenShift pods should be gathered 2021-01-06 23:12:12 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:17:06 UTC

Description Ivo Meixner 2020-07-23 15:14:21 UTC
Description of problem:
As requested by the Product Security team, the Insights Operator should gather a set of running Red Hat images on a cluster. Furthermore, information about crashlooping pods in the openshift* namespaces should be included in reported archives.
Images from registry.redhat.io and registry.access.redhat.com should be collected, as well as images from openshift.org (which, I believe, is used for OCP images). For now, URL-based filtering should be used for the sake of simplicity.

Version-Release number of selected component (if applicable):
4.5
(Active issue as of 4.5, but the data is not collected by any version of the Insights Operator.)

How reproducible:
Any Insights Operator instance.

Steps to Reproduce:
1. Run Insights Operator against an OpenShift cluster.
2. Wait for an archive to be collected.
3. Extract the archive.

Actual results:
The data mentioned above are missing from the reported archive.

Expected results:
The data mentioned above should be gathered and reported in the archive.

Additional info:

Comment 4 Angelina Vasileva 2020-07-29 12:40:49 UTC
Fixed and verified in 4.6.0-0.nightly-2020-07-29-063409.

Images are collected in config/running_containers.json and logs for pods are collected in config/pod/<namespace>/<pod name>.json

Comment 5 Martin Kunc 2020-09-14 12:46:47 UTC
*** Bug 1796315 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2020-10-27 16:16:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.